package com.emr.dao;

import com.emr.entity.Emr_Fun_Group_Distribution;
import com.emr.vo.Emr_Fun_Group_DistributionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_Fun_Group_DistributionMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Emr_Fun_Group_Distribution record);

    int insertSelective(Emr_Fun_Group_Distribution record);

    Emr_Fun_Group_Distribution selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_Fun_Group_Distribution record);

    int updateByPrimaryKey(Emr_Fun_Group_Distribution record);

    int SimpleInsert(@Param("list") List<Emr_Fun_Group_Distribution> list);

    List<Emr_Fun_Group_Distribution> selectUserIdsByTypeFlag(@Param("typeFlag")String typeFlag,@Param("userId")Integer userId);

    List<Emr_Fun_Group_DistributionVo> selectAll(@Param("record")Emr_Fun_Group_Distribution record, @Param("startTime")String startTime, @Param("endTime")String endTime);

    Emr_Fun_Group_Distribution checkTypeFlagAndUserName(@Param("typeFlag")String typeFlag,@Param("userName")String userName);

    int deleteByIds(@Param("ids") String ids);

    List<Emr_Fun_Group_DistributionVo> selectAllByIds(@Param("ids")String ids);
}